Bug 46106 - Error in Manpage? -fstack-protection => -fstack-protector(-all)
Summary: Error in Manpage? -fstack-protection => -fstack-protector(-all)
Status: UNCONFIRMED
Alias: None
Product: gcc
Classification: Unclassified
Component: middle-end (show other bugs)
Version: 4.5.1
: P3 normal
Target Milestone: ---
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-20 21:18 UTC by Steffen Wendzel
Modified: 2010-10-20 23:52 UTC (History)
1 user (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Steffen Wendzel 2010-10-20 21:18:26 UTC
Hi,

isn't that wrong? Here is my very tiny patch for the gcc.1:

--- gcc.1	2010-10-20 23:11:16.000000000 +0200
+++ gcc.1.new	2010-10-20 23:11:24.000000000 +0200
@@ -7661,7 +7661,7 @@ ratio is 3.
 .IP "\fBssp-buffer-size\fR" 4
 .IX Item "ssp-buffer-size"
 The minimum size of buffers (i.e. arrays) that will receive stack smashing
-protection when \fB\-fstack\-protection\fR is used.
+protection when \fB\-fstack\-protector\fR is used.
 .IP "\fBmax-jump-thread-duplication-stmts\fR" 4
 .IX Item "max-jump-thread-duplication-stmts"
 Maximum number of statements allowed in a block that needs to be

with best regards
Steffen
Comment 1 Andrew Pinski 2010-10-20 23:52:29 UTC
gcc.1 is generated from doc/invoke.texi.